javax.ejb

## Interface EJBHome

- All Superinterfaces:
    Remote
  All Known Subinterfaces:
    ManagementHome

      public interface EJBHome
      extends Remote

  The EJBHome interface must be extended by all enterprise beans' remote home interfaces. An enterprise bean's remote home interface defines the methods that allow a remote client to create, find, and remove EJB objects.

  The remote home interface is defined by the enterprise bean provider and implemented by the enterprise bean container.

  Enterprise beans written to the EJB 3.0 and later APIs do not require a home interface.

  Since:
    EJB 1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EJBMetaData` | `getEJBMetaData()` Obtain the EJBMetaData interface for the enterprise bean.
    `HomeHandle` | `getHomeHandle()` Obtain a handle for the remote home object.
    `void` | `remove(Handle handle)` Remove an EJB object identified by its handle.
    `void` | `remove(Object primaryKey)` Remove an EJB object identified by its primary key.

- - ### Method Detail

    - #### remove

          void remove(Handle handle)
                      throws RemoteException,
                             RemoveException

      Remove an EJB object identified by its handle.
      Parameters:
        `handle` - the handle of the EJB object to be removed
      Throws:
        `RemoveException` - Thrown if the enterprise bean or the container does not allow the client to remove the object.
        `RemoteException` - Thrown when the method failed due to a system-level failure.

    - #### remove

          void remove(Object primaryKey)
                      throws RemoteException,
                             RemoveException

      Remove an EJB object identified by its primary key.

      This method can be used only for an entity bean. An attempt to call this method on a session bean will result in a RemoveException.

      Note: Support for entity beans is optional as of EJB 3.2.

      Parameters:
        `primaryKey` - the primary key of the EJB object to be removed
      Throws:
        `RemoveException` - Thrown if the enterprise bean or the container does not allow the client to remove the object.
        `RemoteException` - Thrown when the method failed due to a system-level failure.

    - #### getEJBMetaData

          EJBMetaData getEJBMetaData()
                                     throws RemoteException

      Obtain the EJBMetaData interface for the enterprise bean. The EJBMetaData interface allows the client to obtain information about the enterprise bean.

      The information obtainable via the EJBMetaData interface is intended to be used by tools.

      Returns:
        The enterprise Bean's EJBMetaData interface.
      Throws:
        `RemoteException` - Thrown when the method failed due to a system-level failure.

    - #### getHomeHandle

          HomeHandle getHomeHandle()
                                   throws RemoteException

      Obtain a handle for the remote home object. The handle can be used at later time to re-obtain a reference to the remote home object, possibly in a different Java Virtual Machine.
      Returns:
        A handle for the remote home object.
      Throws:
        `RemoteException` - Thrown when the method failed due to a system-level failure.
      Since:
        EJB 1.1

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.